Subject: Re: Regarding UDP-Lite deprecation and removal

From: Lynne <[email-masked]>
Date: Mon, 18 Mar 2024 18:58:10 +0100 (CET)

Mar 18, 2024, 14:18 by [email-masked]:

> Lynne <[email-masked]> wrote:
>
>> UDP-Lite was scheduled to be removed in 2025 in commit
>> be28c14ac8bbe1ff due to a lack of real-world users, and
>> a long-outstanding security bug being left undiscovered.
>>
>> I would like to open a discussion to perhaps either avoid this,
>> or delay it, conditionally.
>>
>
> Is there any evidence UDP-Lite works in practice?
>
> I am not aware of any HW that will peek into L3/L4 payload to figure out
> that the 'udplite' payload should be passed up even though it has bad csum.
>
> So, AFAIU L2 FCS/CRC essentially renders entire 'partial csum' premise moot,
> stack will never receive udplite frames that are damaged.
>
> Did things change?
>

I do somehow get CRC errors past the Ethernet layer on consumer rtl cards,
by default, with no ethtool changes, so maybe things did change.

I haven't sacrificed a good cable yet to get a definitive proof.
The cargo-culted way to be sure is to enable rx-all.